curl --request POST \
--url https://api.velt.dev/v2/workspace/webhookconfig/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"useWebhookService": true,
"webhookServiceConfig": {
"authToken": "<string>",
"rawNotificationUrl": "<string>",
"processedNotificationUrl": "<string>",
"encodeData": true,
"encryptData": true,
"publicKey": "<string>",
"triggers": {
"comment_annotation.add": true,
"comment.add": true,
"comment.update": true,
"comment.delete": true,
"comment_annotation.status_change": true,
"comment_annotation.assign": true,
"comment_annotation.priority_change": true,
"comment.reaction_add": true,
"comment.reaction_delete": true
}
}
}
}
'{
"result": {
"status": "success",
"message": "Webhook configuration updated successfully.",
"data": null
}
}
curl --request POST \
--url https://api.velt.dev/v2/workspace/webhookconfig/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"useWebhookService": true,
"webhookServiceConfig": {
"authToken": "<string>",
"rawNotificationUrl": "<string>",
"processedNotificationUrl": "<string>",
"encodeData": true,
"encryptData": true,
"publicKey": "<string>",
"triggers": {
"comment_annotation.add": true,
"comment.add": true,
"comment.update": true,
"comment.delete": true,
"comment_annotation.status_change": true,
"comment_annotation.assign": true,
"comment_annotation.priority_change": true,
"comment.reaction_add": true,
"comment.reaction_delete": true
}
}
}
}
'{
"result": {
"status": "success",
"message": "Webhook configuration updated successfully.",
"data": null
}
}
useWebhookService or webhookServiceConfig must be provided.
x-velt-api-key and x-velt-auth-token as headers. You can obtain these from the Get Auth Tokens endpoint.POST https://api.velt.dev/v2/workspace/webhookconfig/update
Show properties
Show properties
true) or disable (false) that trigger. See Webhooks for the full list of event types. Common keys include:Show properties
{
"data": {
"useWebhookService": true,
"webhookServiceConfig": {
"authToken": "webhook_auth_token_here",
"rawNotificationUrl": "https://example.com/webhooks/raw",
"processedNotificationUrl": "https://example.com/webhooks/processed"
}
}
}
{
"result": {
"status": "success",
"message": "Webhook configuration updated successfully.",
"data": null
}
}
{
"error": {
"status": "INVALID_ARGUMENT",
"message": "Invalid webhook service configuration."
}
}
{
"result": {
"status": "success",
"message": "Webhook configuration updated successfully.",
"data": null
}
}
Was this page helpful?